package cn.cslg.pas.service;

/**
 * 任务的业务层接口
 *
 * @Author chenyu
 * @Date 2023/6/8
 */
public interface ITaskService {
    /**
     * 暂停任务
     *
     * @param taskId 任务id
     * @return
     */
    Integer pauseTask(Integer taskId) throws InterruptedException;

    /**
     * 继续任务
     *
     * @param taskId 任务id
     */
    Integer continueTask(Integer taskId);

}
